<html>
<head>
<title>OGRE: Ogre::Any Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Any.html">Any</a></div>
<h1>Ogre::Any Class Reference</h1><!-- doxytag: class="Ogre::Any" -->Variant type that can hold <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> other type.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::Any:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1Any-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#a7e584ce6897ef8c468404ba60996644">Any</a> ()</td></tr>

<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename ValueType&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#ac3dbac611065da73e1c9bb8373eb4fd">Any</a> (const ValueType &amp;value)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#86f4cf2e8df053fc4a43ce2b8e07572d">Any</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;other)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#dc16537bcc7e1ef5ea0a0cae7bbc37bc">~Any</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#8e18c614d89437e11df1b8defe85ea2e">swap</a> (<a class="el" href="classOgre_1_1Any.html">Any</a> &amp;rhs)</td></tr>

<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename ValueType&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#8faca9b09747949f65fb191c7963c7e1">operator=</a> (const ValueType &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#b714694739f9a50a361f3087e2188c94">operator=</a> (const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;rhs)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#f6206a0377aaf42fbb1224a5fbaf6246">isEmpty</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">const std::type_info &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#cbff05f938b211cb667dddcb46102722">getType</a> () const </td></tr>

<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename ValueType&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">ValueType&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#4d704178de8d4c025248da486385ac75">operator()</a> () const </td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#9a6bedddda6079058335bb8e78497445">mContent</a></td></tr>

<tr><td colspan="2"><br><h2>Friends</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">std::ostream &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#deded586bbc395a3e2d075d63c19f0f6">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;v)</td></tr>

<tr><td class="memTemplParams" nowrap colspan="2">template&lt;typename ValueType&gt; </td></tr>
<tr><td class="memTemplItemLeft" nowrap align="right" valign="top">ValueType *&nbsp;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any.html#d386f3fa16eb4c0e860d70c92a9e16dd">any_cast</a> (<a class="el" href="classOgre_1_1Any.html">Any</a> *)</td></tr>

<tr><td colspan="2"><br><h2>Classes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1holder.html">holder</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">class &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Variant type that can hold <a class="el" href="classOgre_1_1Any.html" title="Variant type that can hold Any other type.">Any</a> other type. 
<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00051">51</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="a7e584ce6897ef8c468404ba60996644"></a><!-- doxytag: member="Ogre::Any::Any" ref="a7e584ce6897ef8c468404ba60996644" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Any::Any           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00055">55</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00085">operator=()</a>.</p>

</div>
</div><p>
<a class="anchor" name="ac3dbac611065da73e1c9bb8373eb4fd"></a><!-- doxytag: member="Ogre::Any::Any" ref="ac3dbac611065da73e1c9bb8373eb4fd" args="(const ValueType &amp;value)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Any::Any           </td>
          <td>(</td>
          <td class="paramtype">const ValueType &amp;&nbsp;</td>
          <td class="paramname"> <em>value</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00061">61</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="86f4cf2e8df053fc4a43ce2b8e07572d"></a><!-- doxytag: member="Ogre::Any::Any" ref="86f4cf2e8df053fc4a43ce2b8e07572d" args="(const Any &amp;other)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::Any::Any           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>other</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00066">66</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dc16537bcc7e1ef5ea0a0cae7bbc37bc"></a><!-- doxytag: member="Ogre::Any::~Any" ref="dc16537bcc7e1ef5ea0a0cae7bbc37bc" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::Any::~Any           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00071">71</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00175">mContent</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="8e18c614d89437e11df1b8defe85ea2e"></a><!-- doxytag: member="Ogre::Any::swap" ref="8e18c614d89437e11df1b8defe85ea2e" args="(Any &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html">Any</a>&amp; Ogre::Any::swap           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00078">78</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00175">mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="8faca9b09747949f65fb191c7963c7e1"></a><!-- doxytag: member="Ogre::Any::operator=" ref="8faca9b09747949f65fb191c7963c7e1" args="(const ValueType &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html">Any</a>&amp; Ogre::Any::operator=           </td>
          <td>(</td>
          <td class="paramtype">const ValueType &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00085">85</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00055">Any()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b714694739f9a50a361f3087e2188c94"></a><!-- doxytag: member="Ogre::Any::operator=" ref="b714694739f9a50a361f3087e2188c94" args="(const Any &amp;rhs)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any.html">Any</a>&amp; Ogre::Any::operator=           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>rhs</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00091">91</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00055">Any()</a>.</p>

</div>
</div><p>
<a class="anchor" name="f6206a0377aaf42fbb1224a5fbaf6246"></a><!-- doxytag: member="Ogre::Any::isEmpty" ref="f6206a0377aaf42fbb1224a5fbaf6246" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Any::isEmpty           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00099">99</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreAny_8h-source.html#l00175">mContent</a>.</p>

</div>
</div><p>
<a class="anchor" name="cbff05f938b211cb667dddcb46102722"></a><!-- doxytag: member="Ogre::Any::getType" ref="cbff05f938b211cb667dddcb46102722" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const std::type_info&amp; Ogre::Any::getType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00104">104</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Any_1_1placeholder.html#dbffede1819fffac5df00b2456d485ba">Ogre::Any::placeholder::getType()</a>, and <a class="el" href="OgreAny_8h-source.html#l00175">mContent</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00372">Ogre::any_cast()</a>, and <a class="el" href="OgreAny_8h-source.html#l00184">operator()()</a>.</p>

</div>
</div><p>
<a class="anchor" name="4d704178de8d4c025248da486385ac75"></a><!-- doxytag: member="Ogre::Any::operator()" ref="4d704178de8d4c025248da486385ac75" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ValueType Ogre::Any::operator()           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00184">184</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>References <a class="el" href="OgreException_8h-source.html#l00105">Ogre::Exception::ERR_INVALIDPARAMS</a>, <a class="el" href="OgreAny_8h-source.html#l00104">getType()</a>, <a class="el" href="OgreAny_8h-source.html#l00175">mContent</a>, and <a class="el" href="OgreException_8h-source.html#l00336">OGRE_EXCEPT</a>.</p>

</div>
</div><p>
<hr><h2>Friends And Related Function Documentation</h2>
<a class="anchor" name="deded586bbc395a3e2d075d63c19f0f6"></a><!-- doxytag: member="Ogre::Any::operator&lt;&lt;" ref="deded586bbc395a3e2d075d63c19f0f6" args="(std::ostream &amp;o, const Any &amp;v)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::ostream&amp; operator&lt;&lt;           </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Any.html">Any</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>v</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00110">110</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d386f3fa16eb4c0e860d70c92a9e16dd"></a><!-- doxytag: member="Ogre::Any::any_cast" ref="d386f3fa16eb4c0e860d70c92a9e16dd" args="(Any *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ValueType&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">ValueType* any_cast           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Any.html">Any</a> *&nbsp;</td>
          <td class="paramname"> <em>operand</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00372">372</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="9a6bedddda6079058335bb8e78497445"></a><!-- doxytag: member="Ogre::Any::mContent" ref="9a6bedddda6079058335bb8e78497445" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Any_1_1placeholder.html">placeholder</a>* <a class="el" href="classOgre_1_1Any.html#9a6bedddda6079058335bb8e78497445">Ogre::Any::mContent</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreAny_8h-source.html#l00175">175</a> of file <a class="el" href="OgreAny_8h-source.html">OgreAny.h</a>.</p>

<p>Referenced by <a class="el" href="OgreAny_8h-source.html#l00372">Ogre::any_cast()</a>, <a class="el" href="OgreAny_8h-source.html#l00224">Ogre::AnyNumeric::AnyNumeric()</a>, <a class="el" href="OgreAny_8h-source.html#l00104">getType()</a>, <a class="el" href="OgreAny_8h-source.html#l00099">isEmpty()</a>, <a class="el" href="OgreAny_8h-source.html#l00325">Ogre::AnyNumeric::operator *()</a>, <a class="el" href="OgreAny_8h-source.html#l00352">Ogre::AnyNumeric::operator *=()</a>, <a class="el" href="OgreAny_8h-source.html#l00184">operator()()</a>, <a class="el" href="OgreAny_8h-source.html#l00315">Ogre::AnyNumeric::operator+()</a>, <a class="el" href="OgreAny_8h-source.html#l00340">Ogre::AnyNumeric::operator+=()</a>, <a class="el" href="OgreAny_8h-source.html#l00320">Ogre::AnyNumeric::operator-()</a>, <a class="el" href="OgreAny_8h-source.html#l00346">Ogre::AnyNumeric::operator-=()</a>, <a class="el" href="OgreAny_8h-source.html#l00335">Ogre::AnyNumeric::operator/()</a>, <a class="el" href="OgreAny_8h-source.html#l00358">Ogre::AnyNumeric::operator/=()</a>, <a class="el" href="OgreAny_8h-source.html#l00078">swap()</a>, and <a class="el" href="OgreAny_8h-source.html#l00071">~Any()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAny_8h-source.html">OgreAny.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:08 2008
</p>
</body>
</html>
